×

Discussion Board

Results 1 to 8 of 8
  1. #1
    Regular Contributor
    Join Date
    Nov 2004
    Posts
    105

    Problems with installing python-plugin for SDK

    Well, I was recently trying to get Python for series 60 installed so that I could create python scripts and get an emulator to run them.

    However this wasnt to be so, I tried installing multiple SDK's such as SDK 2.0 C Builder, SDK 2.0 Feature pack 2, SDK 3.0 all for symbian C++ and each time I ran the python installer (For series 60 and 2nd ed .. for my nokia 6680), it wouldn't detect the presence of any evac and always set this to null.. so i'm not sure if im just being daft or this is an actual problem as I couldn't find any documentation on what to do next to start getting an emulator to run python scripts.

    Thanks,

    Rex

  2. #2
    Super Contributor
    Join Date
    Dec 2004
    Posts
    643

    Re: Problems with installing python-plugin for SDK

    Which exact version of the Python installer did you use? Did you reboot your machine after installing the Symbian SDK and before installing the Python SDK?

  3. #3
    Regular Contributor
    Join Date
    Nov 2004
    Posts
    105

    Re: Problems with installing python-plugin for SDK

    I used the pythonforseries60_1_2_for_2ndEd_FP3_SDK .. yeah I rebooted my machine before installing the python plugin and uninstalled all previous SDK's even the Series 40 developers platform.

  4. #4
    Regular Contributor
    Join Date
    Jul 2004
    Posts
    76

    Re: Problems with installing python-plugin for SDK

    hmm... sounds like you've got the "Feature pack 2" SDK and the "Feature Pack 3" Python installer. That could be the issue.

    You might try going here: http://sourceforge.net/project/showf...roup_id=154155

    ...and downloading the newer builds (version 1.3.1 instead of the 1.2 installer you have), and getting the FP2 version instead of the FP3 (if you want to use the FP2 SDK.)

  5. #5
    Regular Contributor
    Join Date
    Nov 2004
    Posts
    105

    Re: Problems with installing python-plugin for SDK

    Okay cool, will try it out..

  6. #6
    Regular Contributor
    Join Date
    Nov 2004
    Posts
    105

    Re: Problems with installing python-plugin for SDK

    Cool worked fine, phone emulator now shows python *bonks self* thanks loads!!
    Downloaded SDK FP3 and used the python fp3 .. worked like a charm!

  7. #7
    Super Contributor
    Join Date
    Dec 2004
    Posts
    643

    Re: Problems with installing python-plugin for SDK

    rexwal, note that if you want to compile stuff for your 6680, you'll need the FP2 SDK, not the FP3 one. 6680 is a 2nd ed FP2 phone. This of course matters only if you want to compile your own native extensions.

  8. #8
    Regular Contributor
    Join Date
    Jul 2004
    Posts
    76

    Re: Problems with installing python-plugin for SDK

    rexwal -- cool, glad it was an easy fix!

Similar Threads

  1. Problem installing Python
    By jpedwardspost in forum Symbian
    Replies: 3
    Last Post: 2008-01-16, 08:19
  2. Installing Ethernet Plugin on a second device
    By chenfi in forum Symbian Tools & SDKs
    Replies: 0
    Last Post: 2005-12-19, 11:40
  3. J2ME Installing problems on 7650
    By rickyhaggett in forum Mobile Java General
    Replies: 6
    Last Post: 2003-04-29, 23:59
  4. Problems installing Nokia developers suite with JBuilder 8 Personal
    By maaberge in forum Mobile Java Tools & SDKs
    Replies: 0
    Last Post: 2003-04-05, 00:42

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
×